IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:7400::/72- First address
2001:db8:0:0:7400::- Last address
2001:db8::74ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:7400:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
4.7.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:7400::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:7400::/80 | 2001:db8::7400:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:7401::/80 | 2001:db8::7401:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:7402::/80 | 2001:db8::7402:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:7403::/80 | 2001:db8::7403:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:7404::/80 | 2001:db8::7404:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:7405::/80 | 2001:db8::7405:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:7406::/80 | 2001:db8::7406:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:7407::/80 | 2001:db8::7407:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:7408::/80 | 2001:db8::7408:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:7409::/80 | 2001:db8::7409:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:740a::/80 | 2001:db8::740a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:740b::/80 | 2001:db8::740b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:740c::/80 | 2001:db8::740c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:740d::/80 | 2001:db8::740d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:740e::/80 | 2001:db8::740e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:740f::/80 | 2001:db8::740f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:7410::/80 | 2001:db8::7410:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:7411::/80 | 2001:db8::7411:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:7412::/80 | 2001:db8::7412:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:7413::/80 | 2001:db8::7413:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:7414::/80 | 2001:db8::7414:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:7415::/80 | 2001:db8::7415:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:7416::/80 | 2001:db8::7416:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:7417::/80 | 2001:db8::7417:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:7418::/80 | 2001:db8::7418:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:7419::/80 | 2001:db8::7419:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:741a::/80 | 2001:db8::741a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:741b::/80 | 2001:db8::741b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:741c::/80 | 2001:db8::741c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:741d::/80 | 2001:db8::741d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:741e::/80 | 2001:db8::741e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:741f::/80 | 2001:db8::741f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:7420::/80 | 2001:db8::7420:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:7421::/80 | 2001:db8::7421:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:7422::/80 | 2001:db8::7422:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:7423::/80 | 2001:db8::7423:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:7424::/80 | 2001:db8::7424:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:7425::/80 | 2001:db8::7425:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:7426::/80 | 2001:db8::7426:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:7427::/80 | 2001:db8::7427:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:7428::/80 | 2001:db8::7428:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:7429::/80 | 2001:db8::7429:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:742a::/80 | 2001:db8::742a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:742b::/80 | 2001:db8::742b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:742c::/80 | 2001:db8::742c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:742d::/80 | 2001:db8::742d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:742e::/80 | 2001:db8::742e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:742f::/80 | 2001:db8::742f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:7430::/80 | 2001:db8::7430:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:7431::/80 | 2001:db8::7431:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:7432::/80 | 2001:db8::7432:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:7433::/80 | 2001:db8::7433:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:7434::/80 | 2001:db8::7434:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:7435::/80 | 2001:db8::7435:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:7436::/80 | 2001:db8::7436:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:7437::/80 | 2001:db8::7437:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:7438::/80 | 2001:db8::7438:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:7439::/80 | 2001:db8::7439:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:743a::/80 | 2001:db8::743a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:743b::/80 | 2001:db8::743b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:743c::/80 | 2001:db8::743c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:743d::/80 | 2001:db8::743d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:743e::/80 | 2001:db8::743e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:743f::/80 | 2001:db8::743f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:7440::/80 | 2001:db8::7440:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:7441::/80 | 2001:db8::7441:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:7442::/80 | 2001:db8::7442:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:7443::/80 | 2001:db8::7443:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:7444::/80 | 2001:db8::7444:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:7445::/80 | 2001:db8::7445:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:7446::/80 | 2001:db8::7446:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:7447::/80 | 2001:db8::7447:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:7448::/80 | 2001:db8::7448:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:7449::/80 | 2001:db8::7449:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:744a::/80 | 2001:db8::744a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:744b::/80 | 2001:db8::744b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:744c::/80 | 2001:db8::744c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:744d::/80 | 2001:db8::744d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:744e::/80 | 2001:db8::744e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:744f::/80 | 2001:db8::744f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:7450::/80 | 2001:db8::7450:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:7451::/80 | 2001:db8::7451:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:7452::/80 | 2001:db8::7452:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:7453::/80 | 2001:db8::7453:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:7454::/80 | 2001:db8::7454:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:7455::/80 | 2001:db8::7455:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:7456::/80 | 2001:db8::7456:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:7457::/80 | 2001:db8::7457:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:7458::/80 | 2001:db8::7458:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:7459::/80 | 2001:db8::7459:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:745a::/80 | 2001:db8::745a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:745b::/80 | 2001:db8::745b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:745c::/80 | 2001:db8::745c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:745d::/80 | 2001:db8::745d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:745e::/80 | 2001:db8::745e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:745f::/80 | 2001:db8::745f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:7460::/80 | 2001:db8::7460:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:7461::/80 | 2001:db8::7461:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:7462::/80 | 2001:db8::7462:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:7463::/80 | 2001:db8::7463:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:7464::/80 | 2001:db8::7464:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:7465::/80 | 2001:db8::7465:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:7466::/80 | 2001:db8::7466:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:7467::/80 | 2001:db8::7467:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:7468::/80 | 2001:db8::7468:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:7469::/80 | 2001:db8::7469:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:746a::/80 | 2001:db8::746a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:746b::/80 | 2001:db8::746b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:746c::/80 | 2001:db8::746c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:746d::/80 | 2001:db8::746d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:746e::/80 | 2001:db8::746e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:746f::/80 | 2001:db8::746f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:7470::/80 | 2001:db8::7470:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:7471::/80 | 2001:db8::7471:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:7472::/80 | 2001:db8::7472:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:7473::/80 | 2001:db8::7473:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:7474::/80 | 2001:db8::7474:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:7475::/80 | 2001:db8::7475:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:7476::/80 | 2001:db8::7476:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:7477::/80 | 2001:db8::7477:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:7478::/80 | 2001:db8::7478:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:7479::/80 | 2001:db8::7479:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:747a::/80 | 2001:db8::747a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:747b::/80 | 2001:db8::747b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:747c::/80 | 2001:db8::747c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:747d::/80 | 2001:db8::747d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:747e::/80 | 2001:db8::747e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:747f::/80 | 2001:db8::747f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:7480::/80 | 2001:db8::7480:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:7481::/80 | 2001:db8::7481:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:7482::/80 | 2001:db8::7482:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:7483::/80 | 2001:db8::7483:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:7484::/80 | 2001:db8::7484:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:7485::/80 | 2001:db8::7485:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:7486::/80 | 2001:db8::7486:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:7487::/80 | 2001:db8::7487:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:7488::/80 | 2001:db8::7488:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:7489::/80 | 2001:db8::7489:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:748a::/80 | 2001:db8::748a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:748b::/80 | 2001:db8::748b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:748c::/80 | 2001:db8::748c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:748d::/80 | 2001:db8::748d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:748e::/80 | 2001:db8::748e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:748f::/80 | 2001:db8::748f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:7490::/80 | 2001:db8::7490:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:7491::/80 | 2001:db8::7491:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:7492::/80 | 2001:db8::7492:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:7493::/80 | 2001:db8::7493:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:7494::/80 | 2001:db8::7494:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:7495::/80 | 2001:db8::7495:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:7496::/80 | 2001:db8::7496:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:7497::/80 | 2001:db8::7497:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:7498::/80 | 2001:db8::7498:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:7499::/80 | 2001:db8::7499:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:749a::/80 | 2001:db8::749a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:749b::/80 | 2001:db8::749b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:749c::/80 | 2001:db8::749c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:749d::/80 | 2001:db8::749d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:749e::/80 | 2001:db8::749e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:749f::/80 | 2001:db8::749f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:74a0::/80 | 2001:db8::74a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:74a1::/80 | 2001:db8::74a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:74a2::/80 | 2001:db8::74a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:74a3::/80 | 2001:db8::74a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:74a4::/80 | 2001:db8::74a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:74a5::/80 | 2001:db8::74a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:74a6::/80 | 2001:db8::74a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:74a7::/80 | 2001:db8::74a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:74a8::/80 | 2001:db8::74a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:74a9::/80 | 2001:db8::74a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:74aa::/80 | 2001:db8::74aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:74ab::/80 | 2001:db8::74ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:74ac::/80 | 2001:db8::74ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:74ad::/80 | 2001:db8::74ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:74ae::/80 | 2001:db8::74ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:74af::/80 | 2001:db8::74af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:74b0::/80 | 2001:db8::74b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:74b1::/80 | 2001:db8::74b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:74b2::/80 | 2001:db8::74b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:74b3::/80 | 2001:db8::74b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:74b4::/80 | 2001:db8::74b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:74b5::/80 | 2001:db8::74b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:74b6::/80 | 2001:db8::74b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:74b7::/80 | 2001:db8::74b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:74b8::/80 | 2001:db8::74b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:74b9::/80 | 2001:db8::74b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:74ba::/80 | 2001:db8::74ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:74bb::/80 | 2001:db8::74bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:74bc::/80 | 2001:db8::74bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:74bd::/80 | 2001:db8::74bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:74be::/80 | 2001:db8::74be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:74bf::/80 | 2001:db8::74bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:74c0::/80 | 2001:db8::74c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:74c1::/80 | 2001:db8::74c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:74c2::/80 | 2001:db8::74c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:74c3::/80 | 2001:db8::74c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:74c4::/80 | 2001:db8::74c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:74c5::/80 | 2001:db8::74c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:74c6::/80 | 2001:db8::74c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:74c7::/80 | 2001:db8::74c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:74c8::/80 | 2001:db8::74c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:74c9::/80 | 2001:db8::74c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:74ca::/80 | 2001:db8::74ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:74cb::/80 | 2001:db8::74cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:74cc::/80 | 2001:db8::74cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:74cd::/80 | 2001:db8::74cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:74ce::/80 | 2001:db8::74ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:74cf::/80 | 2001:db8::74cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:74d0::/80 | 2001:db8::74d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:74d1::/80 | 2001:db8::74d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:74d2::/80 | 2001:db8::74d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:74d3::/80 | 2001:db8::74d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:74d4::/80 | 2001:db8::74d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:74d5::/80 | 2001:db8::74d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:74d6::/80 | 2001:db8::74d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:74d7::/80 | 2001:db8::74d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:74d8::/80 | 2001:db8::74d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:74d9::/80 | 2001:db8::74d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:74da::/80 | 2001:db8::74da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:74db::/80 | 2001:db8::74db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:74dc::/80 | 2001:db8::74dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:74dd::/80 | 2001:db8::74dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:74de::/80 | 2001:db8::74de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:74df::/80 | 2001:db8::74df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:74e0::/80 | 2001:db8::74e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:74e1::/80 | 2001:db8::74e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:74e2::/80 | 2001:db8::74e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:74e3::/80 | 2001:db8::74e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:74e4::/80 | 2001:db8::74e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:74e5::/80 | 2001:db8::74e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:74e6::/80 | 2001:db8::74e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:74e7::/80 | 2001:db8::74e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:74e8::/80 | 2001:db8::74e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:74e9::/80 | 2001:db8::74e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:74ea::/80 | 2001:db8::74ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:74eb::/80 | 2001:db8::74eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:74ec::/80 | 2001:db8::74ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:74ed::/80 | 2001:db8::74ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:74ee::/80 | 2001:db8::74ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:74ef::/80 | 2001:db8::74ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:74f0::/80 | 2001:db8::74f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:74f1::/80 | 2001:db8::74f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:74f2::/80 | 2001:db8::74f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:74f3::/80 | 2001:db8::74f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:74f4::/80 | 2001:db8::74f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:74f5::/80 | 2001:db8::74f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:74f6::/80 | 2001:db8::74f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:74f7::/80 | 2001:db8::74f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:74f8::/80 | 2001:db8::74f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:74f9::/80 | 2001:db8::74f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:74fa::/80 | 2001:db8::74fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:74fb::/80 | 2001:db8::74fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:74fc::/80 | 2001:db8::74fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:74fd::/80 | 2001:db8::74fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:74fe::/80 | 2001:db8::74fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:74ff::/80 | 2001:db8::74ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |